\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{arrows,automata, positioning}

\begin{document}
\begin{tikzpicture}[node distance=1cm]
	\tikzstyle{soc}=[fill=red, circle]
	\tikzstyle{eco}=[fill=green, circle]
	\tikzstyle{arrow} = [%
		thick,
		->,
		>=stealth,
		bend angle= 15
	]

	\node[soc] (m1s1) {};
	\node[eco] (m1e1) [below of=m1s1, xshift=-.5cm] {};
	\node[eco] (m1e2) [right of=m1e1] {};
	\path (m1e1) edge [arrow, bend right, draw=gray, dotted] (m1e2);
	\path (m1e2) edge [arrow, bend right, draw=gray, dotted] (m1e1);
	\node (m1t1) [below of=m1e1, yshift=0.5cm, xshift=.5cm, align=flush center] {I{\color{gray}II}.A};
	
	\node[soc] (m2s1) [below of=m1t1, yshift=.5cm] {};
	\node[eco] (m2e1) [below of=m2s1, xshift=-.5cm] {};
	\node[eco] (m2e2) [right of=m2e1] {};
	\path (m2e1) edge [arrow] (m2s1);
	\node (m2t1) [below of=m2e1, yshift=0.5cm, xshift=.5cm, align=flush center] {I{\color{gray}II}.B.1};
	
	\node[soc] (m3s1) [left of=m2s1, xshift=2.7cm] {};
	\node[eco] (m3e1) [below of=m3s1, xshift=-.5cm] {};
	\node[eco] (m3e2) [right of=m3e1] {};
	\path (m3s1) edge [arrow] (m3e1);
	\node (m3t1) [below of=m3e1, yshift=0.5cm, xshift=.5cm, align=flush center] {I{\color{gray}II}.B.2};

	\node[soc] (m4s1) [left of=m3s1, xshift=2.7cm] {};
	\node[eco] (m4e1) [below of=m4s1, xshift=-.5cm] {};
	\node[eco] (m4e2) [right of=m4e1] {};
	\path (m4s1) edge [arrow, bend right] (m4e1);
	\path (m4e1) edge [arrow, bend right] (m4s1);
	\node (m4t1) [below of=m4e1, yshift=0.5cm, xshift=.5cm, align=flush center] {I{\color{gray}II}.B.3};
	
	\node[soc] (m5s1) [below of=m2t1, yshift=.5cm] {};
	\node[eco] (m5e1) [below of=m5s1, xshift=-.5cm] {};
	\node[eco] (m5e2) [right of=m5e1] {};
	\path (m5e1) edge [arrow] (m5s1);
	\path (m5e2) edge [arrow] (m5s1);
	\node (m5t1) [below of=m5e1, yshift=0.5cm, xshift=.5cm, align=flush center] {I{\color{gray}II}.C.1};

    \node[soc] (m6s1) [left of=m5s1, xshift=2.7cm] {};
	\node[eco] (m6e1) [below of=m6s1, xshift=-.5cm] {};
	\node[eco] (m6e2) [right of=m6e1] {};
	\path (m6e1) edge [arrow] (m6s1);
	\path (m6s1) edge [arrow] (m6e2);
	\node (m6t1) [below of=m6e1, yshift=0.5cm, xshift=.5cm, align=flush center] {I{\color{gray}II}.C.2};
    
    \node[soc] (m7s1) [left of=m6s1, xshift=2.7cm] {};
	\node[eco] (m7e1) [below of=m7s1, xshift=-.5cm] {};
	\node[eco] (m7e2) [right of=m7e1] {};
	\path (m7s1) edge [arrow] (m7e1);
	\path (m7s1) edge [arrow] (m7e2);
	\node (m7t1) [below of=m7e1, yshift=0.5cm, xshift=.5cm, align=flush center] {I{\color{gray}II}.C.3};
    
    \node[soc] (m8s1) [left of=m7s1, xshift=2.7cm] {};
	\node[eco] (m8e1) [below of=m8s1, xshift=-.5cm] {};
	\node[eco] (m8e2) [right of=m8e1] {};
	\path (m8e1) edge [arrow, bend right] (m8s1);
	\path (m8s1) edge [arrow, bend right] (m8e1);
	\path (m8e2) edge [arrow] (m8s1);
	\node (m8t1) [below of=m8e1, yshift=0.5cm, xshift=.5cm, align=flush center] {I{\color{gray}II}.C.4};
    
    \node[soc] (m9s1) [left of=m8s1, xshift=2.7cm] {};
	\node[eco] (m9e1) [below of=m9s1, xshift=-.5cm] {};
	\node[eco] (m9e2) [right of=m9e1] {};
	\path (m9e1) edge [arrow, bend right] (m9s1);
	\path (m9s1) edge [arrow, bend right] (m9e1);
	\path (m9s1) edge [arrow] (m9e2);
	\node (m9t1) [below of=m9e1, yshift=0.5cm, xshift=.5cm, align=flush center] {I{\color{gray}II}.C.5};
    
    \node[soc] (m10s1) [left of=m9s1, xshift=2.7cm] {};
	\node[eco] (m10e1) [below of=m10s1, xshift=-.5cm] {};
	\node[eco] (m10e2) [right of=m10e1] {};
	\path (m10e1) edge [arrow, bend right] (m10s1);
	\path (m10s1) edge [arrow, bend right] (m10e1);
	\path (m10e2) edge [arrow, bend right] (m10s1);
	\path (m10s1) edge [arrow, bend right] (m10e2);
	\node (m10t1) [below of=m10e1, yshift=0.5cm, xshift=.5cm, align=flush center] {I{\color{gray}II}.C.6};

    \path (m2e1) edge [arrow, bend right, draw=gray, dotted] (m2e2);
	\path (m2e2) edge [arrow, bend right, draw=gray, dotted] (m2e1);
    \path (m3e1) edge [arrow, bend right, draw=gray, dotted] (m3e2);
	\path (m3e2) edge [arrow, bend right, draw=gray, dotted] (m3e1);
    \path (m4e1) edge [arrow, bend right, draw=gray, dotted] (m4e2);
	\path (m4e2) edge [arrow, bend right, draw=gray, dotted] (m4e1);
    \path (m5e1) edge [arrow, bend right, draw=gray, dotted] (m5e2);
	\path (m5e2) edge [arrow, bend right, draw=gray, dotted] (m5e1);
    \path (m6e1) edge [arrow, bend right, draw=gray, dotted] (m6e2);
	\path (m6e2) edge [arrow, bend right, draw=gray, dotted] (m6e1);
    \path (m7e1) edge [arrow, bend right, draw=gray, dotted] (m7e2);
	\path (m7e2) edge [arrow, bend right, draw=gray, dotted] (m7e1);
    \path (m8e1) edge [arrow, bend right, draw=gray, dotted] (m8e2);
	\path (m8e2) edge [arrow, bend right, draw=gray, dotted] (m8e1);
    \path (m9e1) edge [arrow, bend right, draw=gray, dotted] (m9e2);
	\path (m9e2) edge [arrow, bend right, draw=gray, dotted] (m9e1);
    \path (m10e1) edge [arrow, bend right, draw=gray, dotted] (m10e2);
	\path (m10e2) edge [arrow, bend right, draw=gray, dotted] (m10e1);
	
	

	\node[eco] (ex1) at (7, -1) {};
	\node[eco] (ex2) [right of=ex1] {};
	\node (ex3) [below of=ex1, yshift=0.5cm, xshift=.5cm, align=flush center] {Classes I.*};
	
	\node[eco] (ex4) [below of=ex1, yshift=-.5cm] {};
	\node[eco] (ex5) [right of=ex4] {};
	\path (ex4) edge [arrow, bend right] (ex5);
	\path (ex5) edge [arrow, bend right] (ex4);
	\node (ex6) [below of=ex4, yshift=0.5cm, xshift=.5cm, align=flush center] {Classes III.*};
	
	\draw[thick, draw=gray, dotted] (6,-.5) rectangle (9, -3.5);
	
\end{tikzpicture}

\end{document}
